org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Interface StepByStepAnalyzeResultPanelOperator

- All Superinterfaces:
    ComponentOperatorRegistry.ComponentOperator
  All Known Implementing Classes:
    StepByStepAnalyzeResultPanelProvider

      public interface StepByStepAnalyzeResultPanelOperator
      extends ComponentOperatorRegistry.ComponentOperator

  Operator of the Step by step analyze result panel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearTable()`
    `void` | `executeAnalysisStepByStep(String text)`
    `void` | `setAnalysisModel(Analysis analysisModel)`

- - ### Method Detail

    - #### setAnalysisModel

          void setAnalysisModel(Analysis analysisModel)

    - #### executeAnalysisStepByStep

          void executeAnalysisStepByStep(String text)

    - #### clearTable

          void clearTable()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.